Skip to main content
GET
/
lucca-api
/
job-qualifications
/
{id}
Retrieve a job-qualification
curl --request GET \
  --url https://{host}/lucca-api/job-qualifications/{id} \
  --header 'Api-Version: <api-version>' \
  --header 'Authorization: Bearer <token>'
{
  "id": "982",
  "type": "job-qualification",
  "url": "https://example.ilucca.net/lucca-api/job-qualifications/982",
  "title": "Lead Developer",
  "profession": {
    "id": "89",
    "type": "profession",
    "url": "https://example.ilucca.net/lucca-api/professions/89"
  },
  "rank": 2,
  "createdAt": "2024-04-15T23:12:54.0001Z",
  "lastUpdatedAt": "2024-04-15T23:12:54.0001Z",
  "links": {},
  "embedded": {}
}
This API endpoint is in beta and may be subject to changes, including breaking changes (similarly to the legacy API endpoints), without prior notice. Read more about versioning.
OAuth 2.0 scopes
 job-qualifications.readonly
or
 job-qualifications.readwrite

Authorizations

Authorization
string
header
required

The Lucca API implements the oAuth 2 protocol with the client-credentials-flow. Refer to RFC8725.

Headers

Api-Version
enum<string>
required

Set the API version.

Available options:
2024-11-01
Allowed value: "2024-11-01"
Maximum string length: 10
Example:

"2024-11-01"

If-None-Match
string

Only execute the request if current cached version of the resource does not match the one given here.

Example:

"W/q5sd4w2x1c1gfdg"

If-Match
string

Only execute the request if current cached version of the resource matches the one given here. Useful to avoid concurrency conflicts.

Example:

"W/q5sd4w2x1c1gfdg"

Accept-Encoding
string

List of compression algorithms you support.

Path Parameters

id
string
required

Identifier of the job-qualification

Minimum string length: 1

Query Parameters

include
enum<string>[]

Include metadata:

  • embedded: the partial or complete representations of related resources (e.g. the employee the resource belongs to).
  • links: links to related resources or actions (e.g. approving a leave-request). May be null when you do not have access to the resource (or action).
  • totalCount: only applicable on collections (i.e. lists of resources), gives the total number of items across all pages.

Read more about expanding responses.

Available options:
embedded,
links,
totalCount

Response

OK

A job-qualification resource.

id
string
Minimum string length: 1
type
string
Allowed value: "job-qualification"
url
string<uri>
title
string

Must be unique. Invariant name of this job-qualification. Can be translated through t9n.title[{langTag}]. Leading and trailing spaces are automatically removed.

Minimum string length: 1
profession
profession-reference · object

Reference to a profession resource.

Example:
{
"id": "89",
"type": "profession",
"url": "https://example.ilucca.net/lucca-api/professions/89"
}
rank
integer<int32>

The lower the rank, the "lower" in the company's hierarchy (i.e. the CEO is at max rank). Maximum rank can be set trough configuration.

Required range: x >= 1
t9n
object
createdAt
string<date-time-offset>

Read-only. UTC timestamp of the moment this object was created.

Example:

"2023-01-23T12:45:23.1234Z"

lastUpdatedAt
string<date-time>

Read-only. UTC timestamp of the moment this object was last updated. Set upon creation, update or deletion of the object.

Example:

"2023-01-23T12:45:23.1234Z"

embedded
object

No embedded resources on a job-qualification(s) response. Expect an empty object if embedded are requested.